## fcitx5-quwei 0.0~git20220225.aa4cf7c

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(fcitx5-quwei VERSION 1.0.0)

find_package(Gettext REQUIRED)
find_package(Fcitx5Core REQUIRED)
find_package(Fcitx5Module REQUIRED COMPONENTS Punctuation QuickPhrase)

# Setup some compiler option that is generally useful and compatible with Fcitx 5 (C++17)
include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

add_subdirectory(src)
add_subdirectory(po)

=== src/CMakeLists.txt ===
# Make sure it produce quwei.so instead of libquwei.so
add_library(quwei SHARED quwei.cpp)
target_link_libraries(quwei PRIVATE Fcitx5::Core Fcitx5::Module::Punctuation  Fcitx5::Module::QuickPhrase)
install(TARGETS quwei DESTINATION "${FCITX_INSTALL_LIBDIR}/fcitx5")

# Addon config file
# We need additional layer of conversion because we want PROJECT_VERSION in it.
configure_file(quwei-addon.conf.in.in quwei-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/quwei-addon.conf.in" quwei-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/quwei-addon.conf" RENAME quwei.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

# Input Method registration file
fcitx5_translate_desktop_file(quwei.conf.in quwei.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/quwei.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/inputmethod")

=== debian/changelog ===
fcitx5-quwei (0.0~git20220225.aa4cf7c-1) unstable; urgency=medium

  * Initial release. (Closes: #1037348)

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Jun 2023 16:26:19 -0400

=== debian/control ===
Source: fcitx5-quwei
Priority: optional
Section: utils
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 fcitx5-modules-dev,
 gettext,
 libfcitx5core-dev,
 libfcitx5utils-dev,
 fcitx5-module-punctuation-dev,
 pkg-config,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-quwei
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-quwei.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-quwei

Package: fcitx5-quwei
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5,
Provides:
 fcitx5-qw,
Description: Fcitx Input Method Framework v5 (Qu Wei input method)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the Qu Wei ("区位") input method compatible with
 fcitx5.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

## fcitx5-quwei 0.0~git20250110.e03259a

=== po/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-quwei)

=== debian/changelog ===
fcitx5-quwei (0.0~git20250110.e03259a-2) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:45:32 -0400

fcitx5-quwei (0.0~git20250110.e03259a-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jan 2025 15:57:32 -0500

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  cmake,
- debhelper-compat (= 13),
+ fcitx5-module-punctuation-dev,
  fcitx5-modules-dev,
  gettext,
- libfcitx5core-dev,
- libfcitx5utils-dev,
- fcitx5-module-punctuation-dev,
- pkg-config,
-Standards-Version: 4.6.2
+ libfcitx5core-dev (>= 5.1.14-4~),
+ libfcitx5utils-dev (>= 5.1.14-4~),
+ pkgconf,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-quwei
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-quwei.git

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/fcitx5-quwei \
 HEAD
